Map the system language "nb" to the corresponding wiki (nowiki)
Closed, ResolvedPublic

Description

Since Norsk bokmål Wikipedia is located at no.wikipedia.org, not nb.wikipedia.org, for historical reasons, the system language code "nb" must probably be mapped manually to the corresponding wiki.

Steps

  1. Set Android system language to "Norsk bokmål" (language code "nb_NO").
  2. Open the Wikipedia app (and go to Today / Mainpage).

Expected results:

The interface language is Norsk bokmål, and the page is from Norsk bokmål Wikipedia (no.wikipedia.org)

Actual results:

The interface language is Norsk bokmål, but the page is from English Wikipedia (en.wikipedia.org)

Danmichaelo updated the task description. (Show Details)
Danmichaelo raised the priority of this task from to Needs Triage.
Danmichaelo added a subscriber: Danmichaelo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 10:15 PM
Danmichaelo updated the task description. (Show Details)Sep 29 2015, 1:59 AM
Danmichaelo set Security to None.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 16 2015, 8:26 PM

Change 259551 had a related patch set uploaded (by BearND):
Show Norwegian when device language is Norwegian

https://gerrit.wikimedia.org/r/259551

bearND added a subscriber: bearND.EditedDec 16 2015, 8:49 PM

To verify I used the More Locale 2 app to switch my device to nb_NO: https://play.google.com/store/apps/details?id=jp.co.c_lis.ccl.morelocale&hl=en.

This fix is only for the automatic switching of the wiki language to Norwegian when the device language is Norwegian. Switching the wiki language to Norwegian manually was already working.

bearND triaged this task as Normal priority.Dec 16 2015, 8:54 PM
bearND claimed this task.
bearND moved this task from Bug Backlog to Current Sprint on the Wikipedia-Android-App-Backlog board.
bearND moved this task from To Do to Code Review on the Mobile-App-Android-Sprint-72-Hafnium board.

Change 259551 merged by jenkins-bot:
Show Norwegian when device language is Norwegian

https://gerrit.wikimedia.org/r/259551

Checked with 2.1.136-alpha-2015-12-16 on Nexus 5 (Android 5.1.1) and Samsung Tablet Ce0168 (Android 4.0.4).

Switching device's lang to Norsk bokmål - Portal:Forside (Main page) will be displayed.
Switching wiki lang to Norsk bokmål - Main page will be replaced with Portal:Forside.

NOTE: Switching to wiki lang 'Afar' will display either a blank Main page or '404 not Found' - filed as T121711: [2.1.136-alpha-2015-12-16] Selecting 'Afar' as wiki lang produces blank or '404 not Found' Main page.
jayvdb added a subscriber: jayvdb.Dec 20 2015, 11:15 PM
Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM

Change 296667 had a related patch set uploaded (by Niedzielski):
Use Norwegian Bokmål language code not wiki code

https://gerrit.wikimedia.org/r/296667

Change 296667 merged by jenkins-bot:
Use Norwegian Bokmål language code not wiki code

https://gerrit.wikimedia.org/r/296667